Morse

[1.7.x] Precise Maneuver editor

Recommended Posts

The only thing funky I've noticed between PM and TWP is a slight terminology difference when defining ejection angles - one uses the term XX% TO prograde/retrograde, while the other says XX% FROM prograde/retrograde.

It took me a little testing tor realize "from" and "to" were the same thing.

Share this post


Link to post
Share on other sites
2 hours ago, Tyko said:

It took me a little testing tor realize "from" and "to" were the same thing.

AFAIK, TriggerAu is Australian (hence the "Au", I guess), so I would trust his word on the subject of English language over mine :)

To my defense, I could say that the "from" bit was in the original Precise Node, and I kept it without much thinking. But now all the lines are in the separate file, so if some native English speaker could review it and correct all the funny places, that would be helpful.

Edited by Morse

Share this post


Link to post
Share on other sites

Amazing mod, thank you! It quickly became one of my "must to have" mods.

Edited by CanOmer

Share this post


Link to post
Share on other sites

I am experiencing a Bug.  I used the delete button on the window with the extra info window extended and the whole window closed with no more maneuver nodes and now I can not create any nodes at all.  I have reset and reloaded my game and maneuver nodes are completely broken.

Clicking on the path does nothing.   

Any help at all would be appreciated.  Thanks for your time.

EDIT:

I cant make any maneuver nodes on any of my flights in the game.  I also cant target anything like my mouse clicks do nothing in the map at all.

edit:

I have tried everything.  nothing fixes it.  As far as I can tell I can never make maneuver nodes again in any of my games no matter what I do, KSP is completely broken....

 

Edited by fancycat

Share this post


Link to post
Share on other sites

I don't think it has anything to do with recompiling. More likely the update of the "version" file would suffice. The problem is that my only laptop with windows got fried, and I can't recompile the plugin ATM (it requires both MS VS and unity editor). So you're stuck with the outdated version for a couple of months.

Share this post


Link to post
Share on other sites
6 hours ago, Morse said:

I don't think it has anything to do with recompiling. More likely the update of the "version" file would suffice. The problem is that my only laptop with windows got fried, and I can't recompile the plugin ATM (it requires both MS VS and unity editor). So you're stuck with the outdated version for a couple of months.

Tried updating the .version file in the obvious way. Still get the message. Perhaps the version file data gets incorporated in the binary at some point. Oh well, no huge deal - just a minor annoyance.

Share this post


Link to post
Share on other sites
7 hours ago, Morse said:

I don't think it has anything to do with recompiling. More likely the update of the "version" file would suffice. The problem is that my only laptop with windows got fried, and I can't recompile the plugin ATM (it requires both MS VS and unity editor). So you're stuck with the outdated version for a couple of months.

If you're fine with it, I can share a version with adjusted version checker and recompiled against KSP 1.5.1. I've already done it for myself and it's working fine so far :)

Share this post


Link to post
Share on other sites
7 hours ago, Morse said:

I don't think it has anything to do with recompiling. More likely the update of the "version" file would suffice.

It's not the normal AVC version warning.  There's the AVC popup that warns about a bunch of other mods, and there's a separate small popup at the same time that specifically warns about PreciseManeuver.  Since the .version file is what drives the AVC window, it probably isn't the source of the problem here.

Share this post


Link to post
Share on other sites
16 hours ago, 4x4cheesecake said:

If you're fine with it, I can share a version with adjusted version checker and recompiled against KSP 1.5.1. I've already done it for myself and it's working fine so far :)

Feel free to share your build, it's not like I'm paid per-download or something :) But as far as an official 1.5.x release, I'd still want to re-export unity assets using the updated unity editor, to make sure that everything is of the same version, and that would be a non-trivial procedure that I'm afraid only I can do.

Share this post


Link to post
Share on other sites
On 10/24/2018 at 10:31 AM, Morse said:

Feel free to share your build, it's not like I'm paid per-download or something :) But as far as an official 1.5.x release, I'd still want to re-export unity assets using the updated unity editor, to make sure that everything is of the same version, and that would be a non-trivial procedure that I'm afraid only I can do.

Cool, thank you :)
KSP 1.5. still uses the same Unity version, so there should be no difference (but I can understand why you want to re-export the assets anyway) ;)

Anyway, here is my unoffical Precise Maneuver 2.4.2 Update:
https://www.dropbox.com/s/r9ft8ig3r1imcb4/(Unoffical) PreciseManeuver-2.4.2.zip?dl=0

Changes:
- Updated integrated version checker for KSP 1.5.x
- Updated .dll version numbers
- Updated .version file
- Compiled for KSP 1.5.1
- Merged my own PR #18 to adjust the alarm margin

The .zip file contains the source code as well.

Edited by 4x4cheesecake

Share this post


Link to post
Share on other sites
On 10/24/2018 at 4:41 PM, 4x4cheesecake said:

Changes:

- Updated integrated version checker for KSP 1.5.x
- Updated .dll version numbers
- Updated .version file
- Compiled for KSP 1.5.1

The .zip file contains the source code as well.

Hi,

Did you merge the "alarm margin" pending PR in your release?

As a regular user of both this mod and MJ's maneuver node planner, I was wondering how I can have them synched?

Share this post


Link to post
Share on other sites
1 minute ago, DfA-DoM said:

Hi,

Did you merge the "alarm margin" pending PR in your release?

As a regular user of both this mod and MJ's maneuver node planner, I was wondering how I can have them synched?

Uhm...for some reason it wasn't in this build, but it is now. I just updated the .zip file so you can use the same download link from my post above :)

Share this post


Link to post
Share on other sites

I find this mod very useful.  KSP 1.5.1 reports this mod is incompatible although I haven't actually tried it.

Apart from the unofficial release, are there any plans for an official update to 1.5 or 1.6?

Share this post


Link to post
Share on other sites
48 minutes ago, Brigadier said:

I find this mod very useful.  KSP 1.5.1 reports this mod is incompatible although I haven't actually tried it.

Apart from the unofficial release, are there any plans for an official update to 1.5 or 1.6?

I don't have the unofficial release and apart from the warning message it seems to work fine.

Peace.

Share this post


Link to post
Share on other sites

 

2 hours ago, Brigadier said:

Apart from the unofficial release, are there any plans for an official update to 1.5 or 1.6?

There are plans. Unfortunately, my laptop fried in july and I still don't have a windows machine where I could install MSVS and Unity (and KSP itself, obviously) and make a release. I thought I'll get myself a new desktop by christmas, but it looks like I'll have to postpone these plans until march.

On the bright side, I can assure you that the plugin is not abandoned, and I'll still provide support in case of problems.

Share this post


Link to post
Share on other sites
On 12/27/2018 at 1:12 AM, Morse said:

On the bright side, I can assure you that the plugin is not abandoned, and I'll still provide support in case of problems.

Thank you for your continued commitment to support this mod.  I hope you can get your windows machine soon.

Share this post


Link to post
Share on other sites
On 12/27/2018 at 1:12 AM, Morse said:

 

There are plans. Unfortunately, my laptop fried in july and I still don't have a windows machine where I could install MSVS and Unity (and KSP itself, obviously) and make a release. I thought I'll get myself a new desktop by christmas, but it looks like I'll have to postpone these plans until march.

On the bright side, I can assure you that the plugin is not abandoned, and I'll still provide support in case of problems.

Heya, sorry to hear about your machine...you should post a paypal. You've supported the community with your work and I'm happy to send some back your way.

Share this post


Link to post
Share on other sites
6 hours ago, Tyko said:

Heya, sorry to hear about your machine...you should post a paypal. You've supported the community with your work and I'm happy to send some back your way.

First of all, my problem with the computer is not money-related. I can afford myself a desktop. What I don't have right now is an apartment. Things should settle down by march.

As for donations, while I appreciate your support, I live in a country where it's not that easy to set up a paypal account. It'll be more trouble than it's worth.

Share this post


Link to post
Share on other sites
4 hours ago, Morse said:

First of all, my problem with the computer is not money-related. I can afford myself a desktop. What I don't have right now is an apartment. Things should settle down by march.

As for donations, while I appreciate your support, I live in a country where it's not that easy to set up a paypal account. It'll be more trouble than it's worth.

alright, well know that your work is appreciated  :)   best of luck

Share this post


Link to post
Share on other sites

Somehow the button in the mods panel disappeared for me. The mod still works as expected when working with maneuver nodes, just the button is missing.

I tried reinstalling the game, still no button. Can someone please confirm, that this is not a problem with KSP 1.6.1? 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.